Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.myclass
Class FieldDecl

    java.lang.Object
      mycompiler.myclass.FieldDecl

Direct Known Subclasses:
  InstVarDecl, Method

    public abstract class FieldDecl

extends java.lang.Object

Field Summary
`protected de.dhbwstuttgart.typeinference.Menge` | `declid`

Constructor Summary
`FieldDecl()`

Method Summary
`abstract void` | `codegen(ClassFile classfile, de.dhbwstuttgart.typeinference.Menge paralist)`
`de.dhbwstuttgart.typeinference.Menge` | `get_Name()`
`de.dhbwstuttgart.typeinference.Menge` | `getDeclIdMenge()`
`abstract java.lang.String` | `getTypeName()`
`void` | `set_DeclId(DeclId did)`
`void` | `setDeclIdMenge(de.dhbwstuttgart.typeinference.Menge vDeclId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### declid

    protected de.dhbwstuttgart.typeinference.Menge declid

Constructor Detail

### FieldDecl

    public FieldDecl()

Method Detail

### getTypeName

    public abstract java.lang.String getTypeName()

### codegen

    public abstract void codegen(ClassFile classfile,
                                 de.dhbwstuttgart.typeinference.Menge paralist)
                          throws JVMCodeException

  Throws:
    `JVMCodeException`

### set_DeclId

    public void set_DeclId(DeclId did)

### get_Name

    public de.dhbwstuttgart.typeinference.Menge get_Name()

### getDeclIdMenge

    public de.dhbwstuttgart.typeinference.Menge getDeclIdMenge()

### setDeclIdMenge

    public void setDeclIdMenge(de.dhbwstuttgart.typeinference.Menge vDeclId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD